=== debian/changelog ===
kde-spectacle (23.08.5-2ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 09:09:49 +0200

kde-spectacle (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:04:04 +0000

kde-spectacle (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:49:35 +0000

kde-spectacle (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 23 Feb 2024 05:20:58 -0700
