## kde-spectacle 24.05.2

=== debian/changelog ===
kde-spectacle (24.05.2-1ubuntu1) oracular; urgency=medium

  * Kubuntu Vcs and maintainer fields.
  * Add missing qml module runtime depends; qml6-module-qtmultimedia,
    qml6-module-qtqml-workerscript, qml6-module-qtquick-window.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Aug 2024 06:39:26 +0100
