## kde-spectacle 24.12.0

=== debian/changelog ===
kde-spectacle (24.12.0-1+nmu0~cc1) unstable; urgency=medium

  [ Caoimhe Chaos ]
  * Rebuild due to library compatibility issues

 -- Caoimhe Chaos <caoimhechaos@protonmail.com>  Sat, 18 Jan 2025 02:18:58 +0100
